# sigc::bind_functor<-1, T_functor, T_type1, nil, nil, nil, nil, nil, nil > Struct Template Reference
[bind(), bind_return()]

Adaptor that binds 1 argument(s) to the wrapped functor. More...

`#include <sigc++/adaptors/bind.h>`

Inheritance diagram for sigc::bind_functor<-1, T_functor, T_type1, nil, nil, nil, nil, nil, nil >:
[legend]

List of all members.

## Public Types

typedef adapts< T_functor > ::adaptor_type | adaptor_type
typedef adaptor_type::result_type | result_type

## Public Member Functions

result_type | operator() ()
| Invokes the wrapped functor passing on the bound argument only.
template<class T_arg1 >
deduce_result_type< T_arg1 >::type | operator() (T_arg1 _A_arg1)
| Invokes the wrapped functor passing on the arguments.
template<class T_arg1 , class T_arg2 >
deduce_result_type< T_arg1, T_arg2 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2)
| Invokes the wrapped functor passing on the arguments.
template<class T_arg1 , class T_arg2 , class T_arg3 >
deduce_result_type< T_arg1, T_arg2, T_arg3 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3)
| Invokes the wrapped functor passing on the arguments.
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4)
| Invokes the wrapped functor passing on the arguments.
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > ::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5)
| Invokes the wrapped functor passing on the arguments.
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5, T_arg6 _A_arg6)
| Invokes the wrapped functor passing on the arguments.
| bind_functor (typename type_trait< T_functor >::take _A_func, typename type_trait< T_type1 >::take _A_bound1)
| Constructs a bind_functor object that binds an argument to the passed functor.

## Public Attributes

bound_argument< T_type1 > | bound1_
| The argument bound to the functor.

## Detailed Description

### template <class T_functor, class T_type1>
struct sigc::bind_functor<-1, T_functor, T_type1, nil, nil, nil, nil, nil, nil >

Adaptor that binds 1 argument(s) to the wrapped functor.

This template specialization fixes the last 1 argument(s) of the wrapped functor.

## Constructor & Destructor Documentation

template <class T_functor , class T_type1 >

sigc::bind_functor<-1, T_functor, T_type1, nil, nil, nil, nil, nil, nil >::bind_functor | ( | typename type_trait< T_functor >::take | _A_func,
|  | typename type_trait< T_type1 >::take | _A_bound1 |
| ) |  |  | `[inline]`

Constructs a bind_functor object that binds an argument to the passed functor.

Parameters:

  | _A_functor | Functor to invoke from operator()().
  | _A_bound | Argument to bind to the functor.

## Member Function Documentation

template <class T_functor , class T_type1 >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>::type sigc::bind_functor<-1, T_functor, T_type1, nil, nil, nil, nil, nil, nil >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4,
|  | T_arg5 | _A_arg5,
|  | T_arg6 | _A_arg6 |
| ) |  |  | `[inline]`

Invokes the wrapped functor passing on the arguments.

The last 1 argument(s) are fixed.

Parameters:

  | _A_arg1 | Argument to be passed on to the functor.
  | _A_arg2 | Argument to be passed on to the functor.
  | _A_arg3 | Argument to be passed on to the functor.
  | _A_arg4 | Argument to be passed on to the functor.
  | _A_arg5 | Argument to be passed on to the functor.
  | _A_arg6 | Argument to be passed on to the functor.

Returns:
  The return value of the functor invocation.

template <class T_functor , class T_type1 >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>::type sigc::bind_functor<-1, T_functor, T_type1, nil, nil, nil, nil, nil, nil >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4,
|  | T_arg5 | _A_arg5 |
| ) |  |  | `[inline]`

Invokes the wrapped functor passing on the arguments.

The last 1 argument(s) are fixed.

Parameters:

  | _A_arg1 | Argument to be passed on to the functor.
  | _A_arg2 | Argument to be passed on to the functor.
  | _A_arg3 | Argument to be passed on to the functor.
  | _A_arg4 | Argument to be passed on to the functor.
  | _A_arg5 | Argument to be passed on to the functor.

Returns:
  The return value of the functor invocation.

template <class T_functor , class T_type1 >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4>::type sigc::bind_functor<-1, T_functor, T_type1, nil, nil, nil, nil, nil, nil >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4 |
| ) |  |  | `[inline]`

Invokes the wrapped functor passing on the arguments.

The last 1 argument(s) are fixed.

Parameters:

  | _A_arg1 | Argument to be passed on to the functor.
  | _A_arg2 | Argument to be passed on to the functor.
  | _A_arg3 | Argument to be passed on to the functor.
  | _A_arg4 | Argument to be passed on to the functor.

Returns:
  The return value of the functor invocation.

template <class T_functor , class T_type1 >
template <class T_arg1 , class T_arg2 , class T_arg3 >

deduce_result_type<T_arg1, T_arg2, T_arg3>::type sigc::bind_functor<-1, T_functor, T_type1, nil, nil, nil, nil, nil, nil >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3 |
| ) |  |  | `[inline]`

Invokes the wrapped functor passing on the arguments.

The last 1 argument(s) are fixed.

Parameters:

  | _A_arg1 | Argument to be passed on to the functor.
  | _A_arg2 | Argument to be passed on to the functor.
  | _A_arg3 | Argument to be passed on to the functor.

Returns:
  The return value of the functor invocation.

template <class T_functor , class T_type1 >
template <class T_arg1 , class T_arg2 >

deduce_result_type<T_arg1, T_arg2>::type sigc::bind_functor<-1, T_functor, T_type1, nil, nil, nil, nil, nil, nil >::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2 |
| ) |  |  | `[inline]`

Invokes the wrapped functor passing on the arguments.

The last 1 argument(s) are fixed.

Parameters:

  | _A_arg1 | Argument to be passed on to the functor.
  | _A_arg2 | Argument to be passed on to the functor.

Returns:
  The return value of the functor invocation.

template <class T_functor , class T_type1 >
template <class T_arg1 >

deduce_result_type<T_arg1>::type sigc::bind_functor<-1, T_functor, T_type1, nil, nil, nil, nil, nil, nil >::operator() | ( | T_arg1 | _A_arg1 | ) | `[inline]`

Invokes the wrapped functor passing on the arguments.

The last 1 argument(s) are fixed.

Parameters:

  | _A_arg1 | Argument to be passed on to the functor.

Returns:
  The return value of the functor invocation.

template <class T_functor , class T_type1 >

result_type sigc::bind_functor<-1, T_functor, T_type1, nil, nil, nil, nil, nil, nil >::operator() | ( |  | ) | `[inline]`

Invokes the wrapped functor passing on the bound argument only.

Returns:
  The return value of the functor invocation.